<cfif ThisTag.ExecutionMode EQ "end" AND ThisTag.HasEndTag>

	<cfsilent>

		<!--- 
		
			CF_AVERYRTF.CFM Version 1.2: Generate RTF output for any printable Avery Label
	
			Sub-tag: CF_AVERYCELL.CFM, Generates array of cells <cf_cf_averycell>...</cf_cf_averycell> style
			
			Author: Brian Ghidinelli <brian@vfive.com>
			Company: VFIVE (http://www.vfive.com)
			
			$Id: cf_averycell.cfm,v 1.9 2001/06/08 20:30:58 brian Exp $

			This file is part of CF_AVERYRTF.
		
			CF_AVERYRTF is free software; you can redistribute it and/or modify
			it under the terms of the GNU General Public License as published by
			the Free Software Foundation; either version 2 of the License, or
			(at your option) any later version.
			
			CF_AVERYRTF is distributed in the hope that it will be useful,
			but WITHOUT ANY WARRANTY; without even the implied warranty of
			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
			GNU General Public License for more details.
			
			You should have received a copy of the GNU General Public License
			along with CF_AVERYRTF; if not, write to the Free Software
			Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA		

		--->
	
	
		<cfparam name="Attributes.zipCode" default="" type="string">
		<cfparam name="Attributes.barPos" default="bottom" type="string">
		<cfparam name="Attributes.stripTabs" default="TRUE" type="boolean">
		<cfparam name="Attributes.stripBlankLines" default="FALSE" type="boolean">
		
		<!--- associate with parent, this tag MUST BE BEFORE WE MODIFY THE PARENT ARRAY --->
		<cfassociate basetag="cf_cf_averyrtf">
	
		<!---	Subtag for the RTF label generator.  This tag exists so we 
				can modify the ThisTag.AssocAttribs[...] array of subitems
				and insert custom arbitrary text.
		--->
		
		<cfscript>
	
			// create structure
			strCell = structNew();
			strCell.zipcode = Attributes.zipcode;
			strCell.barpos = Attributes.barPos;
			strCell.stripBlankLines = Attributes.stripBlankLines;
		
			// create array of lines for a cell
			strCell.arrCell = arrayNew(1);
	
			// create dummy cell if needed for increasing start position or adding trailing cells 
				strLine = structNew();
				strLine.content = '';
				strLine.f = request.rtfLabels.defaultfontface;
				strLine.fs = request.rtfLabels.defaultfontsize;
				strLine.bold = 'FALSE';
	
			// copy struct into array
			strCell.arrCell[1] = strLine;
	
			// setup array of lines: either 1 element when not using subtag or many elements when using subtags
			// for defining all of the sub-properties like bold, fontface, fontsize, etc.
			//
			// subtag cf_averyline defines the datacollection="arrLines"
	
			if (isDefined('ThisTag.arrLines') AND arrayLen(ThisTag.arrLines))
			{
				// we're running in <cf_averycell><cf_averyline ...><cf_averyline ...></cf_averycell> context
				// an array of address lines has been passed up from subtag cf_averyline
	
				// overwrite GeneratedContent options with sub-tag array of lines
				strCell.arrCell = ThisTag.arrLines;
			
			}
			else
			{
				// we're running in <cf_averycell>...</cf_averycell> context
				
				// take GeneratedContent and put it in the content slot
				strCell.arrCell[1].content = ThisTag.GeneratedContent;		
			
			}
			
	
			// loop over the array of lines (may only be one element) and fix it up
			for (ii = 1; ii LTE arrayLen(strCell.arrCell); ii = ii + 1)
			{
			
				// clean content
				strCell.arrCell[ii].content = trim(strCell.arrCell[ii].content);
		
				// should we remove tabs?  by default: yes
				if (Attributes.stripTabs)
				{
					strCell.arrCell[ii].content = ReplaceNoCase(strCell.arrCell[ii].content, '#chr(9)#', '', 'ALL');
				}
	
				if (Attributes.stripBlankLines)
				{
					strCell.arrCell[ii].content = ReReplaceNoCase(strCell.arrCell[ii].content, '([#chr(13)#]?[#chr(10)#])[[:space:]]*\1', '\1', 'ALL');
				}
				
				// create RTF-readable newlines (\par)
				strCell.arrCell[ii].content = ReplaceNoCase(strCell.arrCell[ii].content, '#chr(10)#', '#chr(10)#\par ', 'ALL');
				// all done
			
			}
	
			// localize data
			tagData = GetBaseTagData("CF_CF_AVERYRTF");
		
			// add cell to assocattribs
			tagData.thisTag.AssocAttribs[arrayLen(tagData.thisTag.AssocAttribs)] = strCell;
	
			// zero the string out so nothing is printed to the screen
			ThisTag.GeneratedContent = '';
	
		</cfscript>

	</cfsilent>

</cfif>

