<cfsilent>

	<!--- 
	
		CF_AVERYRTF.CFM Version 1.2: Generate RTF output for any printable Avery Label

		Sub-tag: CF_AVERYLINE.CFM, Generates aray of lines for custom printing
		
		Author: Brian Ghidinelli <brian@vfive.com>
		Company: VFIVE (http://www.vfive.com)
		
		$Id: cf_averyline.cfm,v 1.5 2001/06/07 00:51:08 brian Exp $

		This file is part of CF_AVERYRTF.
	
		CF_AVERYRTF is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		(at your option) any later version.
		
		CF_AVERYRTF is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with CF_AVERYRTF; if not, write to the Free Software
		Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA		

	--->

	<!--- default the {optional} parameters --->
	<cfparam name="Attributes.bold" default="FALSE" type="boolean">
	<cfparam name="Attributes.fontface" default="arial" type="string">
	<cfparam name="Attributes.fontsize" default="8" type="string">
	<cfparam name="Attributes.content" default="" type="string">
	
	<!--- associate with parent, this tag MUST BE BEFORE WE MODIFY THE PARENT ARRAY --->
	<cfassociate basetag="cf_cf_averycell" datacollection="arrLines">

	<!---	usage:  <cf_cf_averycell zipcode="94107" barpos="top">
						<cf_cf_averyline bold="true" fontface="arial" fontsize="24" content="#lastname#, #firstname#">
						<cf_cf_averyline bold="false" fontface="helvetica" fontsize="8" content="#address1#">
						<cf_cf_averyline bold="false" fontface="helvetica" fontsize="8" content="#address2#">
						<cf_cf_averyline bold="false" fontface="helvetica" fontsize="8" content="#city#, #state# #zipcode#">
					</cf_cf_averycell>

			This subtag, cf_averyline.cfm, generates an AssocAttribs array (which we're calling 
			ThisTag.AddressLine) in the parent tag.  Each slot in the array is a structure containing
			the above options which we'll loop over and output into each cell.
	
	--->
		
	<cfscript>
		// create line to add to array
		strLine = structNew();
			strLine.content = Attributes.content;
			strLine.f = request.rtfFontFace[Attributes.fontface];
			strLine.fs = Attributes.fontsize * 2;
			strLine.bold = Attributes.bold;

		// localize data
		tagData = GetBaseTagData("CF_CF_AVERYCELL");
	
		// add structure to array of lines in ../thisTag.arrLines
		tagData.thisTag.arrLines[arrayLen(tagData.thisTag.arrLines)] = strLine;

		// zero the string out so nothing is printed to the screen
		ThisTag.GeneratedContent = '';
	</cfscript>

</cfsilent>